# 各要素の条件付き確率を計算する関数
cprob<-function(model,x){
  k<-length(model$models) # 混合数の取得
  x<-as.matrix(x)
  d<-ncol(x)
  n<-nrow(x)
  # p(x|k)を計算
  p<-matrix(unlist(
	lapply(model$models,function(model){dprob(model,x)})),n,k)
  # p(x,k)を計算
  p<-sweep(p,2,model$prob,"*") 
  # p(x)を計算
  q<-apply(p,1,sum) 
  # p(k|x)を計算
  return(sweep(p,1,q,"/"))
}
