source("config.r")
if(0){
tra <- gen.data(300,4,P=0.1)
gen <- gen.data(500,4,P=0.1,center=tra$center,sigma.inv=tra$sigma.inv)
coder <- generate.code.matrix(4,"1v1")

res.bin2 <- learn.binary(tra,coder,cvr=0.2,svm.ker="polydot",svm.C=2^c(0,1,5))
res.bin3 <- learn.binary(tra,coder,method="adaboost")
res.bin4 <- learn.binary(tra,coder,method="adaboost",cvr=0.2,ada.T=50)
}
#res.bin <- learn.binary(tra,coder,svm.ker="rbfdot")
plot(tra)
print("Hamming decoding,training")
print(mean(predict.hamming(res.bin$F,coder)$yhat != tra$y))
print("Hamming decoding,test")
print(mean(predict.hamming(predict(res.bin,gen$x)$F,coder)$yhat != gen$y))
#print(mean(predict.hamming(res.bin2$F,coder)$yhat != tra$y))
#print(mean(predict.hamming(predict(res.bin2,gen$x)$F,coder)$yhat != gen$y))

#print(mean(predict.hamming(res.bin3$F,coder)$yhat != tra$y))
#print(mean(predict.hamming(predict(res.bin3,gen$x)$F,coder)$yhat != gen$y))

#print(mean(predict.hamming(res.bin4$F,coder)$yhat != tra$y))
#print(mean(predict.hamming(predict(res.bin4,gen$x)$F,coder)$yhat != gen$y))

res.prob <- learn.prob(res.bin,tra$x,tra$y,coder)
#res.bin.gen <- predict(res.bin,gen$x)
res.prob.gen <- predict(res.prob,res.bin.gen)
#res.prob2 <- learn.prob(res.bin,tra$x,tra$y,coder,mode=2)

print("Pairwise coupling,training")
print(mean(pairwise(res.prob,coder)$yhat!=tra$y))
print("Pairwise coupling,test")
print(mean(pairwise(res.prob.gen,coder)$yhat!=gen$y))

res.dec1 <- learn.decode1(res.bin,tra$y,coder)
print("Decode 1,training")
print(res.dec1$error)
print("Decode 1,test")
print(mean(predict(res.dec1,res.bin.gen,coder)$yhat!=gen$y))


res.dec2 <- learn.decode2(res.bin,tra$y,coder)
print("Decode 2,training")
print(res.dec2$error)
print("Decode 2,test")
print(mean(predict(res.dec2,res.bin.gen,coder)$yhat!=gen$y))

