source("plot.boundary.r")
boxplot(as.data.frame(error.tra),names=paste(B),at=c(1:4))
title("Boxplot of training error, maxdepth=30")
dev.new()
boxplot(as.data.frame(error.gen),names=paste(B),at=c(1:4))
title("Boxplot of prediction error, maxdepth=30")
dev.new()
boxplot(as.data.frame(error2.tra),names=paste(B),at=c(1:4))
title("Boxplot of training error, maxdepth=1")
boxplot(as.data.frame(error2.gen),names=paste(B),at=c(1:4))
title("Boxplot of prediction error, maxdepth=1")

for(i in 1:length(B)){
  dev.new()
  plot.boundary(res[[i]],seq(-1,1,length=100),seq(-1,1,length=100))
  points(tra$x,col=tra$y,pch=20+c(tra$y))
  title(paste("Maxdepth=30, B=",B[i],sep="")) 
}

for(i in 1:length(B)){
  dev.new()
  plot.boundary(res2[[i]],seq(-1,1,length=100),seq(-1,1,length=100))
  points(tra$x,col=tra$y,pch=20+c(tra$y))
  title(paste("Maxdepth=1, B=",B[i],sep="")) 
}

