make.info <- function(x,y){
  INFO <- list()
  INFO$name.x <- list()
  INFO$level.x <- list()

  ## x

  for(i in 1:ncol(x)){
    if(is.vector(x[,i])){
      INFO$name.x[[i]] <- "vector"
      INFO$level.x[[i]] <- NULL
    }
    if(is.factor(x[,i])){
      INFO$name.x[[i]] <- "factor"
      INFO$level.x[[i]] <- levels(x[,i])
    }
  }

  ## y
  if(is.vector(y)){
    INFO$name.y <- "vector"
    INFO$level.y <- as.numeric(levels(factor(y)))
  }
  if(is.factor(y)){
    INFO$name.y <- "factor"
    INFO$level.y <- levels(y)
  }

  return(INFO)
}
