data(iris) # データセットirisの読み込み
# 7割の例題を訓練データセットして用いる
train.index <- sample(nrow(iris),(nrow(iris)*0.7) %/% 1) 
library(MASS) # パッケージMASSの読み込み
# フィッシャーの判別分析
#res.lda <- lda(Class~.,iris,subset=train.index)
res.lda <- lda(Species~.,iris,subset=train.index)
# 訓練誤差
mean(predict(res.lda,iris[train.index,])$class != iris[train.index,5])
# テスト誤差
mean(predict(res.lda,iris[-train.index,])$class != iris[-train.index,5])
