library(mlbench) # for Vowel
data(Vowel)
# 異なるカーネルによる密度推定
plot(density(Vowel$V8),main="Kernel Density Estimation",ylim=c(0,0.7),lwd=2)
lines(density(Vowel$V8,kernel="epanechnikov"),col=2,lty=2,lwd=2)
lines(density(Vowel$V8,kernel="rectangular"),col=3,lty=3,lwd=2)
lines(density(Vowel$V8,kernel="triangular"),col=4,lty=4,lwd=2)
lines(density(Vowel$V8,kernel="biweight"),col=5,lty=5,lwd=2)
lines(density(Vowel$V8,kernel="cosine"),col=6,lty=6,lwd=2)
lines(density(Vowel$V8,kernel="optcosine"),col=7,lty=7,lwd=2)
legend(1.2,0.7,legend=c("gauss","epanechnikov","rectangular",
	"triangular", "biweight", "cosine","optcosine"),col=1:7,lty=1:7)
# 拡大図
dev.new()
plot(density(Vowel$V8),main="Enlargement",xlim=c(0,1),ylim=c(0.5,0.7),lwd=2)
lines(density(Vowel$V8,kernel="epanechnikov"),col=2,lty=2,lwd=2)
lines(density(Vowel$V8,kernel="rectangular"),col=3,lty=3,lwd=2)
lines(density(Vowel$V8,kernel="triangular"),col=4,lty=4,lwd=2)
lines(density(Vowel$V8,kernel="biweight"),col=5,lty=5,lwd=2)
lines(density(Vowel$V8,kernel="cosine"),col=6,lty=6,lwd=2)
lines(density(Vowel$V8,kernel="optcosine"),col=7,lty=7,lwd=2)
legend(0,0.7,legend=c("gauss","epanechnikov","rectangular",
	"triangular", "biweight", "cosine","optcosine"),col=1:7,lty=1:7)