library(mlbench) # for Vowel
data(Vowel)
# ヒストグラムによる密度推定と正規分布を重ね描きする
hist(Vowel$V7,freq=FALSE,col=grey(0.8),
	main="Estimated Density and Normal Distribution")
# 標本平均と標本分散を使って正規分布をあてはめる
curve(dnorm(x,mean=mean(Vowel$V7),sd=sd(Vowel$V7)),col="red",lwd=2,add=TRUE)
