calc.fval <- function(F,y){
  y <- match(y,levels(factor(y)))*2-3
  FP <- mean(F[y==-1]>=0)
  TP <- mean(F[y==1]>=0)
  Pre <- TP/(TP+FP)
  Rec <- TP
  
  fval <- 2*TP/(1+TP+FP)
  return(list(fval=fval,precision=Pre,recall=Rec))
}
