chap <- read.table(file="list.txt",
     row.names=1,col.names=c("abbrev","chap","title"))

PRdemo <- function(name=''){
  if(length(which(row.names(chap)==name))>0){
    files <- read.table(file=paste(name,'txt',sep='.'))
    devAskNewPage(ask=TRUE)
    for(f in files[,1]){
      code=paste(f,'r',sep='.')
      cat(paste('"',code,'"を実行します．\n'))
      readline(prompt='<Return>キーを押して下さい: ')
      graphics.off()
      source(echo=TRUE,file=code)
    }
    devAskNewPage(ask=NULL)
  } else {
    PRdemo.usage()
  }
}

PRdemo.usage <- function(){ # 使い方
  cat("PRdemo('章の略号')と入力して下さい．\n")
  cat("例: PRdemo('logit')\n\n")
  cat("その章のコードを順に実効します．\n")
  cat("略号は以下の通りです．\n\n")
  print(chap)
}

# 使い方を表示
PRdemo.usage()
