N <- 200
LWD <- 3
p <- seq(0,1,length=N)
p0 <- p[-c(1,N)]
plot(p,1-apply(cbind(p,1-p),1,max),xlab="p",ylab="l",type="l",lwd=LWD)
lines(p,2*p*(1-p),col=2,lwd=LWD,lty=2)
lines(p,0.5*c(0,(-p0*log(p0)-(1-p0)*log(1-p0))/log(2),0),col=3,lwd=LWD,lty=3)
legend(0.3,0.1,c("Misclassification error","Gini index","Entropy"),
       lwd=rep(LWD,3),col=c(1:3),lty=c(1:3),box.lwd=0,box.col=0)

