library(rpart) # rpartの読み込み
library(mlbench) # mlbenchの読み込み
data(Glass) # データGlassの読み込み
set.seed(1)
tra.index <- sample(nrow(Glass),nrow(Glass)*0.7) # 7割を訓練データとして使用
# 決定木の訓練, maxdepth=2
res <- rpart(Type~.,Glass[tra.index,],method="class",maxdepth=2)
plot(res) # 木構造の表示
text(res) # 分岐ルールの表示
title("Max depth=2")
