# 3つのクラスのボックスプロットを描く．
# z=1,2,3(平均値に相当)をランダムに生成する．
z<-sample(1:3,100,replace=TRUE)
# 平均の異なる正規分布を生成する．平均ごとにA,B,Cの3つのクラス名を与える．
y<-data.frame(value=rnorm(100)+z,class=LETTERS[z])
y
# クラス毎にボックスプロットを表示する．
boxplot(value ~ class, data=y)
