# mixtureクラスの確率密度 (混合分布の確率密度)
dprob.mixture<-function(model,x){
  k<-length(model$models)
  x<-as.matrix(x)
  d<-ncol(x)
  n<-nrow(x)
  z<-matrix(unlist( # 要素モデルごとに密度を計算
	lapply(model$models,function(model){dprob(model,x)})),n,k)
  return(apply(sweep(z,2,model$prob,"*"),1,sum))
}
