# 共分散行列が対角行列に制限されたd次元正規分布モデル (gaussdクラス)
gaussd<-function(d){
  mu<-rep(0,d) # 平均 (初期値は0)
  sigma<-rep(1,d) # 各次元の分散 (初期値は1の並んだベクトル)
  model<-list(mu=mu,sigma=sigma)
  class(model)<-'gaussd'
  return(model)
}
