# gaussdクラスの重み付き最尤推定
mle.gaussd<-function(model,x,weight=NULL){
  d<-length(model$mu)
  tmp<-gauss(d)
  tmp<-mle(tmp,x,weight=weight) # gaussクラスで推定
  model$mu<-tmp$mu
  model$sigma<-diag(tmp$sigma) # 分散共分散行列を対角化
  return(model)
}
