# gaussdクラスの重み付き最尤推定
mle.gaussu<-function(model,x,weight=NULL){
  d<-length(model$mu)
  tmp<-gauss(d)
  tmp<-mle(tmp,x,weight=weight) # gaussクラスで推定
  model$mu<-tmp$mu
  model$sigma<-mean(diag(tmp$sigma)) # 分散を一様化
  return(model)
}
