learn.stump.m <- function(WL,x,y,w,Y.num,r.wl,r.b){

  n <- nrow(x)
  p <- ncol(x)
  class <- length(unique(y))

  class.set <- function(NUM,k){
    res <- NULL
    if(NUM==1){
      return(k)
    }
    if(NUM==2){
      res <- NULL
      for(i in 1:(class-1)){
        for(j in (i+1):class){
          res <- rbind(res,c(i,j))
        }
      }
      return(res[k,])
    }
    if(NUM==3){
      res <- NULL
      for(i in 1:(class-2)){
        for(j in (i+1):(class-1)){
          for(l in (j+1):class){
            res <- rbind(res,c(i,j,l))
          }
        }
      }
      return(res[k,])
    }
  }
   
  e.min <- 1

  for(k in Y.num){
    N <- prod(c(class:(class-k+1)))/prod(c(1:k))
    N <- sort(sample(N,(N*r.wl) %/% 1))

    for(l in N){
      SET <- class.set(k,l)
      ynew <- apply(outer(y,SET,function(x,y){x==y}),1,sum)*2-1
      Y <- rep(-1,class)
      Y[SET] <- 1
      ##
      for(j in 1:p){
        xx <- sort(unique(x[!is.na(x[,j]),j]))
        if(length(xx)*r.b >10){
          xx.set <- sort(sample(length(xx),(length(xx)*r.b) %/% 1))
          xx <- xx[xx.set]        
        }
        for(i in 1:(length(xx)-1)){
          sgn <- 1
          delta <- (xx[i]+xx[i+1])/2
          fval <- sgn*sign(x[,j]-delta)
          fval[is.na(fval)] <- 0
          e.current <- sum(w*(1+outer(fval,Y,function(x,y){sign(x==y)})-sign(fval==ynew))/2)
          if(e.current > 0.5){
            e.current <- 1-e.current
            sgn <- -sgn
          }
          if(e.current < e.min){
            b <- delta
            ss <- sgn
            e.min <- e.current
            index <- j
            set.index <- SET
          }
        } # i end
      }
    }
  }
  res <- list(b=b,S=ss,E=e.min,idx=index,set=set.index,class=class)
  class(res) <- class(WL)
  return(res)
}  ## stump end
