learn.stump <- function(WL,x,y,w){

  n <- nrow(x)
  p <- ncol(x)

  e.min <- 1
  
  for(j in 1:(p)){
    xx <- sort(unique(x[!is.na(x[,j]),j]))
    if(length(xx)>=2){

      for(i in 1:(length(xx)-1)){
        sgn <- 1
        delta <- (xx[i]+xx[i+1])/2
        fval <- sgn*sign(x[,j]-delta)
        fval[is.na(fval)] <- 0
        ##e.current <- sum(sign( y != fval) *w )
        e.current <- sum((1- y *fval)*w/2 )

        if(e.current > 0.5){
          e.current <- 1-e.current
          sgn <- -sgn
        }
        if(e.current < e.min){
          b <- delta
          ss <- sgn
          e.min <- e.current
          index <- j
        }
      } # i end
    }
  }
  WL$b <- b
  WL$S <- ss
  WL$E <- e.min
  WL$idx <- index
  return(WL)
}  ## stump end
