predict.uboost <- function(res,x,y=NULL,T=length(res$WL)){
  ##F <- apply((res$alpha[1:T]*t(sapply(res$WL,function(z){predict(z,x)}))[1:T,,drop=FALSE]),2,sum)
  
  F <- rep(0,nrow(x))
  if(is.null(y)){
    dat <- trans.data(x,y=NULL,res$INFO,"all")
    
    for(t in 1:T){
      F <- F+res$alpha[t]*predict(res$WL[[t]],dat$x)
    }
    class <- res$INFO$level.y[(sign(F)+3)/2]
    return(list(F=F,class=class))
  }
  else{
    error <- rep(0,T)
    dat <- trans.data(x,y,res$INFO,"all")
    for(t in 1:T){
      F <- F+res$alpha[t]*predict(res$WL[[t]],dat$x)
      error[t] <- mean(F*dat$y<= 0)
    }
    class <- res$INFO$level.y[(sign(F)+3)/2]
    res <- list(F=F,class=class,error=error)
  }
  return(res)
}

