trans.data <- function(x,y,INFO,na.action="all"){
  
  #xnew <- matrix(0,nrow(x),ncol(x))
  xnew <- NULL
  ynew <- rep(0,length(y))
  ## x

  for(i in 1:ncol(x)){
    if(is.vector(x[,i])){
      #xnew[,i] <- as.numeric(x[,i])
      xnew <- cbind(xnew,as.numeric(x[,i]))
    }
    if(is.factor(x[,i])){
      #xnew[,i] <- match(x[,i],INFO$level.x[[i]])
      xnew <- cbind(xnew,outer(x[,i],INFO$level.x[[i]][-1],function(x,y){sign(x==y)}))
    }
  }
  ## y
  if(length(INFO$level.y)==2){
    ynew <- match(y,INFO$level.y)*2-3
  }
  if(length(INFO$level.y)>2){
    ynew <- match(y,INFO$level.y)
  }


  if(na.action=="all"){
    return(list(x=xnew,y=ynew))
  }
  else if(na.action=="remove"){
    na.index <- which(apply(is.na(xnew),1,any))
    if(length(na.index)>0){
      xnew <- xnew[-na.index,,drop=FALSE]
      ynew <- ynew[-na.index]
    }
    return(list(x=xnew,y=ynew,na.index=na.index))
  }

}
