source("eval-calc.auc.r")
library(MASS)
library(mlbench)
dat <- mlbench.circle(200)
dat$classes[dat$classes==1][-c(1:50)] <- levels(dat$classes)[2]
dat$classes <- match(dat$classes,levels(dat$classes))*2-3
res.lda <- lda(dat$x,dat$classes)
res.qda <- qda(dat$x,dat$classes)

# test data
dat.gen <- mlbench.circle(2000)
dat.gen$classes[dat.gen$classes==1][-c(1:200)] <- levels(dat.gen$classes)[2]
dat.gen$classes <- match(dat.gen$classes,levels(dat.gen$classes))*2-3
name <- "../Fig/eval-demo3.calc.auc.lda.eps"
#postscript(name,height=6,width=6,paper="special",horizontal=FALSE)
plot.boundary(res.lda,seq(-1,1,length=100),seq(-1,1,length=100))
#dev.off()
name <- "../Fig/eval-demo3.calc.auc.qda.eps"
#postscript(name,height=6,width=6,paper="special",horizontal=FALSE)
plot.boundary(res.qda,seq(-1,1,length=100),seq(-1,1,length=100))
dev.off()



