data(iris) # データの読み込み
# 2値への変換
iris$Species <- factor(c(rep("set+vir",50),rep("ver",50),rep("set+vir",50)),
                       levels=c("set+vir","ver"))
index <- sample(nrow(iris),(nrow(iris)*0.7)%/% 1) # 7割を訓練データとして使用
res0 <- glm(Species~.,iris[index,],family=binomial) # 線形なロジスティック回帰
res <- glm(Species~.*.,iris[index,],family=binomial) # 2次の項を含めたロジスティック回帰
iris2 <- cbind(iris,new=sqrt(iris[,-5]))

plot(iris[,1]+iris[,4],predict(res0,iris,type="response"),
     ylim=range(0,1),pch=c(21,24)[c(iris[,5])],
     col=iris[,5],xlab="Sepal.Length+Sepal.Width",ylab="p(1|x)",)
plot(iris[,1]+iris[,4],predict(res,iris,type="response"),
     ylim=range(0,1),pch=c(21,24)[c(iris[,5])],
     col=iris[,5],xlab="Sepal.Length+Sepal.Width",ylab="p(1|x)")
