library(mlbench)
data(Vowel)
N <- 600
train.index <- sample(nrow(Vowel),N)
library(MASS)
res.lda <- lda(Class~.,Vowel,subset=train.index)
cat("Training error of lda is",
    mean(predict(res.lda,Vowel[train.index,])$class !=
         Vowel[train.index,11]),"\n")
cat("Test error of lda is",
    mean(predict(res.lda,Vowel[-train.index,])$class !=
         Vowel[-train.index,11]),"\n")
