library(mlbench)
data(Vowel)
N <- 600
train.index <- sample(nrow(Vowel),N)
library(MASS)
res.qda <- qda(Class~.,Vowel,subset=train.index)
cat("Training error of qda is",
    mean(predict(res.qda,Vowel[train.index,])$class !=
         Vowel[train.index,11]),"\n")
cat("Test error of qda is",
    mean(predict(res.qda,Vowel[-train.index,])$class !=
         Vowel[-train.index,11]),"\n")
