library(rpart)
library(mlbench)
data(Glass)
set.seed(1)
tra.index <- sample(nrow(Glass),nrow(Glass)*0.7)
res <- rpart(Type~.,Glass[tra.index,],method="class",maxdepth=MD[1])
plot(res)
text(res)
title("Max depth=1")

res <- rpart(Type~.,Glass[tra.index,],method="class",maxdepth=MD[2])
plot(res)
text(res)
title("Max depth=2")

res <- rpart(Type~.,Glass[tra.index,],method="class",maxdepth=MD[3])
plot(res)
text(res)
title("Max depth=3")

res <- rpart(Type~.,Glass[tra.index,],method="class",maxdepth=MD[10])
plot(res)
text(res)
title("Max depth=10")

